Bug 1250637 - [RHEV-H] RHEV-H 7.1 installation fails while firstboot=1 is set: " TransactionError: 'Transaction failed: Unable to save to file!' "
[RHEV-H] RHEV-H 7.1 installation fails while firstboot=1 is set: " Transactio...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor (Show other bugs)
3.5.4
x86_64 Unspecified
unspecified Severity high
: ovirt-3.6.1
: 3.6.1
Assigned To: Fabian Deutsch
cshao
node
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 11:47 EDT by Elad
Modified: 2016-02-10 14:17 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 10:05:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console screenshots (248.86 KB, application/x-gzip)
2015-08-05 11:47 EDT, Elad
no flags Details

  None (edit)
Description Elad 2015-08-05 11:47:04 EDT
Created attachment 1059541 [details]
Console screenshots

Description of problem:
RHEV-H 7.1 installation, while firstboot=1 is set, fails. The host had RHEV-H 6.7 installed before. 

extra_boot_options:
hostname=camel-vdsb.qa.lab.tlv.redhat.com firstboot=1

Version-Release number of selected component (if applicable):

Red Hat Enterprise Virtualization Hypervisor release 7.1 (20150803.0.el7ev)

The RHEV-H version that was on the host before the RHEV-H 7.1 installation:
rhev-hypervisor6-6.7-20150803.0


Workaround:
Install RHEL 7.1 and then install the RHEV-H ISO. 

Additional info: Console screenshots
Comment 1 cshao 2015-08-05 23:38:53 EDT
rhev-hypervisor7-7.1-20150803.0 is unsigned build, so I test this issue with latest signed build - rhev-hypervisor7-7.1-20150805.0. 

I can't reproduce this issue.

Test version:
rhev-hypervisor7-7.1-20150805.0
ovirt-node-3.2.3-16.el7.noarch

Test steps:
Auto instal RHEV-H 7.1 with 
BOOTIF=eth0 hostname=cshaotest.redhat.com storage_init=scsi:36090a038d0f721901d033566b2493f23 adminpw=OKr05SbCu3D3g storage_vol=:500:::: firstboot=1

Test result:
Auto install with firstboot=1 can succeed.
Comment 2 cshao 2015-08-13 03:41:28 EDT
> Description of problem:
> RHEV-H 7.1 installation, while firstboot=1 is set, fails. The host had
> RHEV-H 6.7 installed before. 

I noticed that the host had RHEV-H 6.7 installed before, so I re-test it again with this scenario, but I still can't reproduce this issue.

From the attachment, the error info show as: there appears to already be an installation on another device: /dev/sda4, the installation cannot process until the device is removed.

So please try to remove PV from another device and try again.
Comment 3 Elad 2015-08-17 05:13:02 EDT
(In reply to shaochen from comment #2)
> > Description of problem:
> > RHEV-H 7.1 installation, while firstboot=1 is set, fails. The host had
> > RHEV-H 6.7 installed before. 
> 
> I noticed that the host had RHEV-H 6.7 installed before, so I re-test it
> again with this scenario, but I still can't reproduce this issue.
> 
> From the attachment, the error info show as: there appears to already be an
> installation on another device: /dev/sda4, the installation cannot process
> until the device is removed.
> 
> So please try to remove PV from another device and try again.

I tried to to set it to another device (/dev/sdb, /dev/sdc) using the extra_boot_options. It didn't help
Comment 4 Jeff Pullen 2015-10-28 16:00:05 EDT
Seeing this same issue... sometimes. Seems to work about half the time.

ERROR - ovirtfunctions - There appears to already be an installation on another device:
ERROR - ovirtfunctions - /dev/sda4
ERROR - ovirtfunctions - The installation cannot proceed until the device is removed
ERROR - ovirtfunctions - from the system of the HostVG volume group is removed

This is being installed from PXE.

LABEL rhev-hypervisor7-7.1-20150911.0
        kernel /images/rhev-hypervisor7-7.1-20150911.0/vmlinuz
        MENU LABEL rhev-hypervisor7-7.1-20150911.0
        append initrd=/images/rhev-hypervisor7-7.1-20150911.0/initrd.img root=live:/rhevh-7.1-20150911.0.el7ev.iso storage_init=/dev/sda rd.live.check crashkernel=256M rootflags=ro rd.dm=0 rootfstype=auto rd_NO_MULTIPATH rd.luks=0 elevator=deadline rhgb rd.md=0 quiet rd.live.image ro max_loop=256 storage_vol=4300:8192:4300:128:8192:-1 adminpw=<passwd_hash_here> rootpw=<passwd_hash_here> management_server=<address_here> rhevm_admin_password=<passwd_hash_here> rhn_activationkey=<key_here> rhn_url=https://<ip_here> rhn_ca_cert=https://<ip_here>pub/RHN-ORG-TRUSTED-SSL-CERT vlan=30: ntp=<ip_here>:<ip_here> dns=<ip_here> gateway=<ip_here> netmask=<mask_here> ip=<ip_here> hostname=<hostname_here> firstboot
        ipappend 2
        MENU DEFAULT
Comment 5 Red Hat Bugzilla Rules Engine 2015-10-28 16:09:21 EDT
Fixed bug tickets must have target milestone set prior to fixing them. Please set the correct milestone and move the bugs back to the previous status after this is corrected.
Comment 6 Ryan Barry 2015-10-28 18:22:45 EDT
Jeff -- has the previous installation been wiped? Either by manually destroying the vg or booting rhev-hypervisor with "uninstall" (booting with "reinstall" will destroy the vg before trying to install, which should also clear this problem).

If so, please open a new bug about the appropriate parameter (uninstall|reinstall) not wiping the LVM groups. If not, I'll close this as NOTABUG, since upgrading from EL6 to EL7 (or reinstalling EL7 over EL6 without wiping first) is not supported.
Comment 7 Jeff Pullen 2015-11-09 09:32:09 EST
The previous installation was not wiped. This was reinstalling using the reinstall or firstboot flag. I misread this ticket to mean the same thing I was seeing. I'll open a new bug.

Note You need to log in before you can comment on or make changes to this bug.